import { Sort } from "./sort.interface";
export declare enum SortAlgo {
    QUICK_SORT = 0,
    MERGE_SORT = 1,
    BUBBLE_SORT = 2,
    SELECTION_SORT = 3,
    INSERTION_SORT = 4,
    RADIX_SORT = 5
}
export declare class SortFactory {
    static make<T>(algo: SortAlgo): Sort<T>;
}
